curl --request POST \
--url https://api.agentchain.xyz/api/v1/tasks/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "Analyze the sentiment of the following text: \"Bitcoin is looking bullish today\"",
"taskType": "analysis",
"agentId": "agent-alpha-001",
"metadata": {},
"model": "llama-3.3-70b",
"evmPayload": {
"actionId": "<string>",
"agentId": "<string>",
"preStateRoot": "<string>",
"transactions": [
{
"target": "<string>",
"calldata": "<string>",
"value": "<string>",
"slippageBps": "<string>"
}
],
"effectClaimHash": "<string>"
}
}
'import requests
url = "https://api.agentchain.xyz/api/v1/tasks/submit"
payload = {
"prompt": "Analyze the sentiment of the following text: \"Bitcoin is looking bullish today\"",
"taskType": "analysis",
"agentId": "agent-alpha-001",
"metadata": {},
"model": "llama-3.3-70b",
"evmPayload": {
"actionId": "<string>",
"agentId": "<string>",
"preStateRoot": "<string>",
"transactions": [
{
"target": "<string>",
"calldata": "<string>",
"value": "<string>",
"slippageBps": "<string>"
}
],
"effectClaimHash": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'Analyze the sentiment of the following text: "Bitcoin is looking bullish today"',
taskType: 'analysis',
agentId: 'agent-alpha-001',
metadata: {},
model: 'llama-3.3-70b',
evmPayload: {
actionId: '<string>',
agentId: '<string>',
preStateRoot: '<string>',
transactions: [
{
target: '<string>',
calldata: '<string>',
value: '<string>',
slippageBps: '<string>'
}
],
effectClaimHash: '<string>'
}
})
};
fetch('https://api.agentchain.xyz/api/v1/tasks/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "<string>",
"status": "COMPLETED",
"agentId": "<string>",
"model": "<string>",
"provider": "<string>",
"latencyMs": 123,
"output": "<string>",
"ipfsCid": "<string>",
"stateRoot": "<string>",
"verificationStatus": "<string>",
"verificationScore": 123,
"verificationProof": "<string>",
"verificationBasescanUrl": "<string>",
"attestationUid": "<string>",
"easscanUrl": "<string>"
}Submit a task for execution
Full 8-stage pipeline: guardrail → credit → compute → verify → anchor → receipt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The prompt/instruction for the LLM
"Analyze the sentiment of the following text: \"Bitcoin is looking bullish today\""
Type of task. Use evm-action for deterministic EVM state verification.
general, code, analysis, creative, trade_signal, evm-action "analysis"
Agent fingerprint ID (unique per agent)
"agent-alpha-001"
Optional metadata for the task
Model slug from the whitelist (e.g. "llama-3.3-70b"). Defaults to llama-3.3-70b if omitted. Ignored for evm-action type.
"llama-3.3-70b"
Required when taskType is evm-action. EVM action payload for deterministic verification.
Show child attributes
Show child attributes
Response
Task executed — provenance receipt returned
COMPLETED, UNMETERED, GUARDRAIL_BLOCKED, INSUFFICIENT_CREDITS, COMPUTE_FAILED, OUTPUT_BLOCKED TX hash from on-chain verification anchor
EAS Omni-Stamp UID (bytes32 hex)
EASScan deep link

